SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001341SiT!feedbackpublic2010-06-11 15:532010-07-21 21:29
Reporterjko 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.60 LTS 
Target Version3.62 LTSFixed in Version3.62 LTS 
Summary0001341: Disabling Feedback has no effect
DescriptionI disabled the "feedback"-option in the configuration and expected this to skip the "login and give us your feedback"-email when closing incidents.

Unfortunately, it didn't stop SiT from sending this emails. So I did a search for the configuration-variable (feedback_enabled) in all files and found almost no match. Only "real" match is the about page, which makes the whole option pretty pointless.

To get the expected result I did the following tweak to send_feedback in functions.inc.php:

global $CONFIG;
if (!$CONFIG['feedback_enabled']) return false;
foreach ...

Is(was) this an bug or did I misunderstand the feedback concept/module?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003260)
paulh (administrator)
2010-06-19 12:33

Thanks jko, can reproduce this, your understanding is correct, I'll target this for the next release.
User avatar (0003261)
paulh (administrator)
2010-06-19 12:43

r6512 and fd0e92d resolve this
User avatar (0003332)
ivan (administrator)
2010-07-18 15:05

Released in v3.62

- Issue History
Date Modified Username Field Change
2010-06-11 15:53 jko New Issue
2010-06-19 12:33 paulh Note Added: 0003260
2010-06-19 12:33 paulh Status new => confirmed
2010-06-19 12:33 paulh Target Version => 3.62 LTS
2010-06-19 12:43 paulh Note Added: 0003261
2010-06-19 12:43 paulh Assigned To => paulh
2010-06-19 12:43 paulh Status confirmed => resolved
2010-06-19 12:43 paulh Resolution open => fixed
2010-06-19 12:43 paulh Fixed in Version => Current SVN
2010-07-18 15:05 ivan Note Added: 0003332
2010-07-18 15:05 ivan Status resolved => closed
2010-07-21 21:29 ivan Fixed in Version Current SVN => 3.62 LTS


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker